<resources>

    <!-- Base application theme. -->
    <style name="AppTheme" parent="Theme.AppCompat.Light.NoActionBar">

        <!--colorPrimary对应ActionBar的颜色-->
        <item name="colorPrimary">@color/colorPrimary</item>
        <!--colorPrimaryDark对应状态栏的颜色-->
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <!--colorAccent 对应EditText编辑时、RadioButton选中、CheckBox等选中时的颜色-->
        <item name="colorAccent">@color/colorAccent</item>

        <item name="android:textAllCaps">false</item>
        <item name="android:windowActionBar">false</item>
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
        <!-- 设置所有activity跳转动画 -->
        <item name="android:windowAnimationStyle">@style/AnimationActivity</item>

    </style>

    <style name="AnimationActivity" parent="@android:style/Animation.Activity">
        <!--  启动时的进入和移出  -->
        <item name="android:activityOpenEnterAnimation">@anim/slide_open_in</item>
        <item name="android:activityOpenExitAnimation">@anim/slide_open_out</item>
        <!--  finish时的进入和移出  -->
        <item name="android:activityCloseEnterAnimation">@anim/slide_close_in</item>
        <item name="android:activityCloseExitAnimation">@anim/slide_close_out</item>
    </style>

    <declare-styleable name="IPEditText">
        <attr name="textLength" format="integer" />
        <attr name="textSize" format="dimension" />
        <attr name="textColor" format="color" />

        <attr name="borderColor" format="color" />
        <attr name="borderWidth" format="dimension" />
        <attr name="pointColor" format="color" />
        <attr name="pointWidth" format="dimension" />

        <attr name="editNumber" format="integer" />

    </declare-styleable>

    <style name="BDAlertDialog" parent="ThemeOverlay.AppCompat.Dialog.Alert">
        <item name="android:windowBackground">@color/white</item>
        <item name="colorAccent">@color/colorAccent</item>
        <!-- Minor指竖屏模式下的宽度 -->
        <item name="android:windowMinWidthMinor">300dp</item>
        <item name="windowFixedWidthMinor">300dp</item>
    </style>


    <style name="DialogStyle" parent="@android:style/Theme.Dialog">
        <item name="android:windowFrame">@null</item>
        <item name="android:windowIsFloating">true</item>
        <item name="android:windowIsTranslucent">true</item>
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowBackground">@color/transparent</item>
    </style>

    <style name="DialogEmptyAnimation" parent="android:Animation">
        <item name="android:windowEnterAnimation">@null</item>
        <item name="android:windowExitAnimation">@null</item>
    </style>

  <style name="CardViewCornerWhite" parent="Base.CardView">
        <item name="cardMaxElevation">5dp</item>
        <item name="cardCornerRadius">5dp</item>
        <item name="cardBackgroundColor">@color/white</item>
    </style>


    <!--dialog样式的界面-->
    <style name="dialog_style" parent="Theme.AppCompat.Light.Dialog">
    <!--是否悬浮在activity上-->
    <item name="android:windowIsFloating">true</item>
    <!--透明是否-->
    <item name="android:windowIsTranslucent">true</item>
    <item name="android:background">@null</item>
    <!--设置没有窗口标题、dialog标题等各种标题-->
    <item name="android:windowNoTitle">true</item>
    <item name="android:title">@null</item>
    <item name="windowNoTitle">true</item>
    <item name="android:dialogTitle">@null</item>
    <!--点击 dialog Activity 周围是否关闭弹窗 true 关闭（默认为true） false 为不关闭-->
    <item name="android:windowCloseOnTouchOutside">false</item>
    </style>

</resources>
